/**
 * jquery
*/

/**
 * 公共变量定义
*/


$(function(){

    /**
     * 打开web窗口
    */
    $('.open_web_window').live('click',function(){
        //获取url
        var openFrame_url    =   $(this).attr('href');
        if(openFrame_url=='') return false;
        //调用打开web窗口函数
        open_web_window(openFrame_url,window_name);
        return false;
    });


    /**
     * 打开视频内容页
    */
    $('.open_video_content').live('click',function(){
        var this_title      =   $(this).attr('title');
        var this_url        =   $(this).attr('href');
        var this_video_url  =   $(this).attr('video_url');
        //打开窗口
        api.openWin({
            name: 'video_content',
            url: 'widget://html/video_content.html',
            bounces:false,
            slidBackEnabled:false,
            pageParam: {
                up_window_name: window_name,   //上一个窗口名称
                title: this_title,  //视频标题
                url: this_url,  //视频内容页链接
                video_url: this_video_url   //视频地址
            }
        });
        return false;
    });


    /**
     * 打开上传视频窗口
    */
    $('.open_upload_video_page').live('click',function(){
        api.openWin({
            name: 'upload_video_window',
            url: 'widget://html/upload_video_window.html',
            bounces:false,
            slidBackEnabled:false,
            pageParam: {
                name: 'test'
            }
        });
    });

});



/**
 * 打开web窗口函数
*/
function open_web_window(url,name){


    //打开窗口
    api.openWin({
        name: 'web_window',
        url: 'widget://html/web_window.html',
        useWKWebView: true,
        slidBackEnabled:false,
        pageParam: {
            up_window_name: name,   //上一个窗口名称
            openFrame_url: url   //
        }
    });
}

/**
 * 关闭窗口函数
*/
function close_window(){

    //关闭窗口
    api.closeWin();
}



/**
 * 处理 [服务器端的是否登录] 的json返回
*/
function set_server_is_login(ret){
    //如果未登录
    if(ret.not_login){
        //api.toast({msg: '尚未登录',duration: 2000,location: 'top'});
        //打开登录窗口
        open_web_window('http://www.wnbm110.com/Index/U/login.html','返回');
    }
    //如果已登录
}


/**
 * 设置用户登录
*/
function set_login(user_key,y,h){
    //ajax请求
    api.ajax({
        url: 'http://www.wnbm110.com/Index/U/set_login.html',
        method: 'get',
        cache: false,    //是否缓存，若缓存，下次没网络时请求则会使用缓存，仅在get请求有效
        data: {
            values: {
                user_key: user_key,
            },
        }
    },function(ret, err) {
        //请求成功
        if(ret){
            //登录成功
            if(ret.status==1){

                //提示
                //api.toast({msg: ret.info,duration: 5000,location: 'middle'});

                //打开消息页面
                api.openFrame({
                    name: 'main_xiaoxi',
                    url: 'widget://html/xiaoxi.html',
                    bounces: true,
                    useWKWebView: true, //是否使用WKWebView来加载页面，只支持iOS8.0及以上系统
                    bgColor: '#eee',
                    pageParam: {
                        xiaoxi_url: 'http://www.wnbm110.com/Index/Xiaoxi/xiaoxi.html',
                    },
                    rect: {x: 0,y: y,w: 'auto',h: h}
                });
                //把消息页调到最后面显示
                api.sendFrameToBack({from: 'main_xiaoxi',});
            
                //打开我的页面
                api.openFrame({
                    name: 'main_wode',
                    url: 'widget://html/user.html',
                    bounces: true,
                    useWKWebView: true, //是否使用WKWebView来加载页面，只支持iOS8.0及以上系统
                    bgColor: '#eee',
                    pageParam: {
                        user_url: 'http://www.wnbm110.com/Index/User/index.html',
                    },
                    rect: {x: 0,y: y,w: 'auto',h: h}
                });
                //把我的页调到最后面显示
                api.sendFrameToBack({from: 'main_wode',});

            }
            //登录失败
            else{
                //提示
                //api.toast({msg: ret.info,duration: 5000,location: 'middle'});
            }
        }
        //请求失败
        else{
            //提示
            //api.toast({msg: '请求失败',duration: 5000,location: 'middle'});
        }
    });
}


/**
 * 检测网络情况
*/
function is_connectionType(){

    //获取当前网络环境
    var connectionType = api.connectionType;
    //网络环境良好
    if(connectionType!='none'){
        return true;
    }
    //无网络
    else{
        //提示
        api.toast({
            msg: "无网络",
            duration: 2000,
            location: 'bottom'
        });
    }
    //返回
    return false;
}



/**
 * 将秒转换为 分:秒
 * s int 秒数
*/
function s_to_hs(s){
    //计算分钟
    //算法：将秒数除以60，然后下舍入，既得到分钟数
    var h;
    h  =   Math.floor(s/60);
    //计算秒
    //算法：取得秒%60的余数，既得到秒数
    s  =   s%60;
    //将变量转换为字符串
    h   +=  '';
    s   +=  '';
    //如果只有一位数，前面增加一个0
    h  =   (h.length==1)?'0'+h:h;
    s  =   (s.length==1)?'0'+s:s;
    return h+':'+s;
}


/**
 * 判断是否是url
*/
function is_url(url){
    var str =   url;
    //判断URL地址的正则表达式为:http(s)?://([\w-]+\.)+[\w-]+(/[\w- ./?%&=]*)?
    //下面的代码中应用了转义字符"\"输出一个字符"/"
    var Expression  =   /http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w- .\/?%&=]*)?/;
    var objExp  =   new RegExp(Expression);
    if(objExp.test(str)==true){
        return true;
    }else{
        return false;
    }
}