/**
 * 上传视频核心文件
 * 20171108
*/


/**
 * 公共变量定义
*/
//上传视频任务json
var upload_video_mission        =   {};
//上传视频任务数量
var upload_video_mission_size   =   0;


/**
 * 处理上传视频请求
 * 传入视频信息
*/
function handling_upload_video_request(video_data){

    //设置窗口不全屏
    //api.setFullScreen({fullScreen: false});

    //打开视频管理
    api.openWin({
        name: 'user_video',
        url: 'widget://html/user_video.html',
        slidBackEnabled:false,
        pageParam: {}
    });
    
    

    //如果不延时执行的话，上面的窗口正在执行动画，下面的就执行不了了
    window.setTimeout(function(){

        //关闭上传视频窗口
        api.closeWin({name: 'upload_video_window'});

        //关闭完善视频信息窗口
        api.closeWin({name: 'upload_video_data'});
    },500); 
    
    
    
    //添加视频任务
    upload_video_mission_size++;    //数量加1
    //添加
    upload_video_mission[upload_video_mission_size] =   video_data;

    //执行上传视频任务
    execution_upload_video_mission();
}

/**
 * 执行上传视频任务
*/
function execution_upload_video_mission(){

    //上传视频任务状态
    var upload_video_mission_state  =   0;
    //循环看看有没有正在上传的
    for(var i in upload_video_mission){
        //如果上传状态==2，那就是有正在上传的。
        if(upload_video_mission[i]['upload_status']==2){
            upload_video_mission_state  =   1;
            //退出循环
            break;
        }
    }

    //如果没有正在上传的，此时需要上传一个待上传的
    if(upload_video_mission_state==0){
        //循环判断，有没有等待上传的
        for(var i in upload_video_mission){
            //有等待上传的
            if(upload_video_mission[i]['upload_status']==0){
                //执行上传视频ajax
                execution_upload_video_ajax(i);
                //退出循环
                break;
            }
        }
    }
    //如果有正在上传的，
    else{
        //有的话，就不管，直接返回
        return false;
    }

}

/**
 * 执行上传视频ajax
*/
function execution_upload_video_ajax(i){

    //发起ajax
    api.ajax({
        url: 'http://www.wnbm110.com/Index/User/upload_video.html',
        method: 'post',
        timeout: 86400,
        data: {
            values: {
                title: upload_video_mission[i]['title'],
                fenlei: upload_video_mission[i]['fenlei'],
                description: upload_video_mission[i]['description'],
                duration: upload_video_mission[i]['duration'],
            },
            files: {
                file: upload_video_mission[i]['url']
            }
        },
        report: true,
    }, function(ret, err) {
        //正在上传，上传成功
        if(ret) {

            //正在上传
            if(ret.status==0){
                //改变状态为：正在上传
                upload_video_mission[i]['upload_status']    =   2;
                //改变上传进度
                upload_video_mission[i]['upload_progress']  =   ret.progress;

                //进度通知
                //api.toast({msg: '上传：'+ret.progress+'%',duration: 1000,location: 'top'});
            }
            //上传完成
            else if(ret.status==1){
                //改变状态为：上传完成
                upload_video_mission[i]['upload_status']    =   1;

                //执行上传视频任务：执行下一个任务
                execution_upload_video_mission();
            }
            //上传失败
            else{
                //改变状态为：上传失败
                upload_video_mission[i]['upload_status']    =   3;

                //执行上传视频任务：执行下一个任务
                execution_upload_video_mission();
            }
        }
        //上传失败
        else{
            //改变状态为：上传失败
            upload_video_mission[i]['upload_status']    =   3;

            //执行上传视频任务：执行下一个任务
            execution_upload_video_mission();
        }

        //广播上传视频结果事件
        api.sendEvent({
            name: 'upload_video_result',
            extra: upload_video_mission
        });

    });

}